Subject: RE: [Sipping] Re: New Draft on TISPAN analysis for SIP solutionsconcerning the simulation Services

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Tue, 5 Jul 2005 23:23:29 +0200

Hi David,

This mail is not specific to the AoC service, but more to the generic issue about message body processing by proxies.

RFC3261 says that a "pure" proxy must not add to, modify or remove a message body (if it does, it will become a B2BUA, or whatever we want to call it...).

However, does RFC3261 forbid a "pure" proxy from inserting a new body? That is, if I understood correctly, what you are proposing in the AoC case. At least I can't find any text in RFC3261 preventing it.

Having said that, however, I guess it really goes down to the details what we mean by "modifying a message body". 

For example, a proxy receives an SDP body in a SIP response. It now adds a new X body to the SIP response, without touching the SDP data, and forwards the response.

Now, if we only look at the separate bodies (SDP and X) I guess it should be allowed, because the proxy has not modified the SDP body data it received - it just added a new X body.

BUT, from a SIP message perspective the message body HAS been modified, from SDP to multipart/MIME (needed to carry both the SDP body and the X body) - again, even if the SDP data hasn't changed.

So, IS it ok by a proxy to add new bodies, as long as the existing bodies don't change, even if they may be grouped differently from a SIP message perspective (from SDP to multipart mime, for example)?

Regards,

Christer
LM Ericsson

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of David R Oran
> Sent: 5. heinäkuuta 2005 16:19
> To: Miguel Garcia
> Cc: sipping WG
> Subject: Re: [Sipping] Re: New Draft on TISPAN analysis for SIP
> solutionsconcerning the simulation Services
> 
> 
> Would you please provide justification in the draft for why this  
> should be a header and not a body? I can't for the life of me figure  
> out why this can't be done with a body (which would require  
> essentially no change to SIP, only a MIME registration) since 
> proxies  
> do nothing with the header I can discern.
> 
> Thanks, Dave.
> 
> On Jul 1, 2005, at 2:56 AM, Miguel Garcia wrote:
> 
> 
> > And I have also submitted another draft that proposes a P- header  
> > to support the Advice of Charge service.
> >
> > Until the draft is officially distributed, it can be retrieved from:
> >
> > http://people.nokia.net/~miguel/drafts/draft-garcia-sipping-etsi- 
> > ngn-p-headers-00.txt
> >
> > /Miguel
> >
> > Jesske, R wrote:
> >
> >
> >
> >> Dear all,
> >> A new draft regarding the analysis of the requirements on TISPAN  
> >> simulation services as described in draft-jesske-sipping-tispan- 
> >> requirements-01  is now available.
> >> It can be fond under:
> >> http://www.ietf.org/internet-drafts/draft-jesske-sipping-tispan- 
> >> analysis-00.txt We would like to start the discussion on 
> solutions  
> >> for the requirements we stated in draft-jesske-sipping-tispan- 
> >> requirements-01 (http://www.ietf.org/internet-drafts/draft-jesske- 
> >> sipping-tispan-requirements-01.txt).
> >> This draft should be seen as a discussion basis and brainstorming  
> >> of some people thinking about SIP solutions.
> >> Every comment and discussion is welcome and helps to find 
> a solution.
> >> Thank you.
> >> Best Regards
> >> Roland
> >> Deutsche Telekom AG
> >> T-Com Zentrale
> >> Roland Jesske, TE332-2
> >> Section TE33; Signalling, Gateways and Switching Systems
> >> Am Kavalleriesand 3, 64295 Darmstadt, Germany
> >> Phone:  +49 6151 83-5940
> >> Fax:      +49 6151 83-4577
> >> email:   [email-masked]
> >>
> >>
> >
> > -- 
> > Miguel A. Garcia           tel:+358-50-4804586
> > sip:[email-masked]
> > Nokia Research Center      Helsinki, Finland
> >
> >
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> >
> >
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP